API referenceAuthentication
Inspect the current API key
Returns the workspace, region, permissions, and data access of the key making the request. Requires no permission — use it to verify a key.
GET
Returns the workspace, region, permissions, and data access of the key making the request. Requires no permission — use it to verify a key.
bearerAuthheader
AuthorizationBearer <sk_live_<region>_<secret>>Success
application/json- response
object*stringid*stringname*stringworkspace_id*stringregion*stringValue in
"us""eu"permissions*array<string>access*agent_id*stringThe principal id this key acts as (messages, activity).
Example Request
curl -X GET 'https://api.synqed.dev/v1/me'Example Response
{ "object": "api_key", "id": "string", "name": "string", "workspace_id": "string", "region": "us", "permissions": [ "string" ], "access": { "visibility": "workspace", "groups": [ "string" ], "sources": [ "string" ] }, "agent_id": "string"}